linux - trying to install php gd extension php55-common conflicts with php-common-5.3

838

I am trying to install php gd extension on php5.5 amazon ec2 server using this command

yum install php-gd

log:

Loaded plugins: priorities, update-motd, upgrade-helper
Resolving Dependencies
--> Running transaction check
---> Package php-gd.x86_64 0:5.3.28-1.5.amzn1 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.28-1.5.amzn1 for package: php-gd-5.3.28-1.5.amzn1.x86_64
--> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.3.28-1.5.amzn1.x86_64
--> Processing Dependency: libt1.so.5()(64bit) for package: php-gd-5.3.28-1.5.amzn1.x86_64
--> Running transaction check
---> Package libXpm.x86_64 0:3.5.10-2.9.amzn1 will be installed
---> Package php-common.x86_64 0:5.3.28-1.5.amzn1 will be installed
---> Package t1lib.x86_64 0:5.1.2-6.5.amzn1 will be installed
--> Processing Conflict: php55-common-5.5.14-1.75.amzn1.x86_64 conflicts php-common < 5.5.14-1.75.amzn1
--> Finished Dependency Resolution
Error: php55-common conflicts with php-common-5.3.28-1.5.amzn1.x86_64
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

I tried to do this

 sudo yum remove php-common
 sudo yum install php55

but nothing changed

209

Answer

Solution:

Remove PHP 5.3:

sudo yum remove php-common

Install PHP5.5:

sudo yum install php55 php55-gd php55-mysqlnd php55-pdo
128

Answer

Solution:

I also have problem in installing gd Library and I solve it by using the following code my php version is 5.6 so that's why i write php56-gd. if your php version is 5 you can do it by using "yum install php5-gd"

     yum install php56-gd 

People are also looking for solutions to the problem: php - codeigniter won't create a model and won't tell me why not

Source

Didn't find the answer?

Our community is visited by hundreds of web development professionals every day. Ask your question and get a quick answer for free.

Ask a Question

Write quick answer

Do you know the answer to this question? Write a quick response to it. With your help, we will make our community stronger.

Similar questions

Find the answer in similar questions on our website.